[package]
authors = ["Max Känner"]
name = "battlesnake"
version = "1.0.0"
edition = "2021"

readme = "README.md"
repository = "https://git.mkaenner.de/max/battlesnake"
keywords = ["battlesnake"]
description = """
A simple Battlesnake written in Rust
"""

[lints.clippy]
pedantic = "warn"
nursery = "warn"

[dependencies]
rocket = { version = "0.5.0", features = ["json"] }
serde = { version = "1.0.117", features = ["derive"] }
serde_json = "1.0.59"
log = "0.4.0"
env_logger = "0.11.5"
rand = "0.8.4"
enum-iterator = "2.1"
iter_tools = "0.21"
ordered-float = "4.3.0"

[profile.release]
lto = "fat"
codegen-units = 1
panic = "abort"
strip = true
